#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int ukupan_rezultat, rezultat_po_mecu;
    cin>>ukupan_rezultat>>rezultat_po_mecu;

    if(ukupan_rezultat<3*rezultat_po_mecu)
    {
        cout<<"-1";
        return 0;
    }

    if(ukupan_rezultat%2==1 && rezultat_po_mecu%2==0)
    {
        cout<<"0 "<<rezultat_po_mecu<<endl;
        cout<<"1 "<<rezultat_po_mecu<<endl;
        cout<<((ukupan_rezultat-rezultat_po_mecu-(rezultat_po_mecu+1))-2)/2<<" "<<((ukupan_rezultat-rezultat_po_mecu-(rezultat_po_mecu+1))-2)/2+2;
       return 0;
    }


    if(ukupan_rezultat%2==0 && rezultat_po_mecu%2==0)
    {
        cout<<"0 "<<rezultat_po_mecu<<endl;
        cout<<"0 "<<rezultat_po_mecu<<endl;

        if(ukupan_rezultat-2*rezultat_po_mecu<2*rezultat_po_mecu)
        {
            cout<<ukupan_rezultat-3*rezultat_po_mecu<<" "<<rezultat_po_mecu;
        }
        else
            cout<<((ukupan_rezultat-2*rezultat_po_mecu)-2)/2<<" "<<(((ukupan_rezultat-2*rezultat_po_mecu)-2)/2)+2;
    }

    if(ukupan_rezultat%2==0 && rezultat_po_mecu%2==1)
    {
        cout<<"0 "<<rezultat_po_mecu<<endl;
        cout<<"0 "<<rezultat_po_mecu<<endl;
        cout<<((ukupan_rezultat-2*rezultat_po_mecu)-2)/2<<" "<<(((ukupan_rezultat-2*rezultat_po_mecu)-2)/2)+2;
    }

    if(ukupan_rezultat%2==1 && rezultat_po_mecu%2==1)
    {
        cout<<"0 "<<rezultat_po_mecu<<endl;
        cout<<"1 "<<rezultat_po_mecu<<endl;
        cout<<((ukupan_rezultat-rezultat_po_mecu-(rezultat_po_mecu+1))-2)/2<<" "<<((ukupan_rezultat-rezultat_po_mecu-(rezultat_po_mecu+1))-2)/2+2;
    }
    return 0;
}